USN-6208-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6208-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6208-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6208-1
Related
Published
2023-07-06T20:40:06.223433Z
Modified
2023-07-06T20:40:06.223433Z
Summary
golang-websocket vulnerability
Details

It was discovered that Gorilla WebSocket incorrectly handled decoding WebSocket frames. An attacker could possibly use this issue to cause a crash, resulting in a denial of service.

References

Affected packages

Ubuntu:Pro:18.04:LTS / golang-websocket

Package

Name
golang-websocket

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.2.0-1ubuntu2+esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "golang-websocket-dev": "1.2.0-1ubuntu2+esm1",
            "golang-github-gorilla-websocket-dev": "1.2.0-1ubuntu2+esm1"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / golang-websocket

Package

Name
golang-websocket

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.0~git20150811.0.b6ab76f-1ubuntu0.1~esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "golang-websocket-dev": "0.0~git20150811.0.b6ab76f-1ubuntu0.1~esm1"
        }
    ]
}